Issue 21622

Summary: Lossy Change Tracking information after cut&paste
Product: Writer Reporter: pfarrhofer <r.pfarrhofer>
Component: codeAssignee: eric.savary
Status: CLOSED NOT_AN_OOO_ISSUE QA Contact: issues@sw <issues>
Severity: Trivial    
Priority: P3 CC: guido.pinkernell, issues
Version: OOo 1.1 RC5Keywords: needmoreinfo, oooqa
Target Milestone: ---   
Hardware: PC   
OS: Windows 2000   
Issue Type: DEFECT Latest Confirmation in: ---
Developer Difficulty: ---

Description pfarrhofer 2003-10-23 15:33:52 UTC
If I had changed for example a title in a text document with enabled change 
tracking and after cut and paste the change information is lost.

In the text:deletion element the original source is saved (without change 
information)

In the text:insertation element the modified source is referenced through the 
text:id

There are no recorded changes between the original and modified source, so I 
can't backtrack all changes... Is this a feature or a bug? ;-)

I hope its understandable...

CU Roman
Comment 1 guido.pinkernell 2003-11-02 16:35:55 UTC
I think I understand what you mean:

You have two documents A and B, both have "Record Changes" enabled.
First you change "word" to "worm" in A, which now shows a crossed out
d and an underlined m.

Then you copy this word to B, which doesn´t show the d, but only the t
which isn´t underlined.

Is that right?
Comment 2 pfarrhofer 2003-11-03 09:04:47 UTC
Hello!

Its nearly right!

I've only one document and made the cut and paste operation in this 
document. After that I looked at the content.xml - I give you an 
example code:

The original file:
<office:body>
  <text:h text:style-name="Heading 1" text:level="1">Heading 
1</text:h>
  <text:p text:style-name="Standard"/>
  <text:p text:style-name="Standard">word</text:p>
  <text:p text:style-name="Standard"/>
  <text:h text:style-name="Heading 1" text:level="1">Heading 
2</text:h>
  <text:p text:style-name="Standard"/>
  <text:p text:style-name="Standard">word</text:p>
  <text:p text:style-name="Standard"/>
  <text:h text:style-name="Heading 1" text:level="1">Heading 
3</text:h>
  <text:p text:style-name="Standard"/>
  <text:p text:style-name="Standard">word</text:p>
</office:body>

The modified file:
<office:body>
  <text:tracked-changes>
    <text:changed-region text:id="ct29557624">
      <text:insertion>
        <office:change-info office:chg-author="unknown" office:chg-
date-time="2003-11-03T09:27:00"/>
      </text:insertion>
    </text:changed-region>
    <text:changed-region text:id="ct49036856">
      <text:deletion>
        <office:change-info office:chg-author="unknown" office:chg-
date-time="2003-11-03T09:27:00"/>
        <text:p text:style-name="Standard">word</text:p>
      </text:deletion>
    </text:changed-region>
  </text:tracked-changes>
  <text:h text:style-name="Heading 1" text:level="1">Heading 
1</text:h>
  <text:p text:style-name="Standard"/>
  <text:p text:style-name="Standard">
    word<text:change-start text:change-id="ct29557624"/> 
worm<text:change-end text:change-id="ct29557624"/>
  </text:p>
  <text:p text:style-name="Standard"/>
  <text:h text:style-name="Heading 1" text:level="1">Heading 
2</text:h>
  <text:p text:style-name="Standard"/>
  <text:p text:style-name="Standard">
    <text:change text:change-id="ct49036856"/>
  </text:p>
  <text:p text:style-name="Standard"/>
  <text:h text:style-name="Heading 1" text:level="1">Heading 
3</text:h>
  <text:p text:style-name="Standard"/>
  <text:p text:style-name="Standard">word</text:p>
</office:body>

I changed "word" to "worm" under the "Headline 2". I moved 
(cut&paste) the word under the "Headline 1" - as you can see the 
deleted text is "word" (and thats wrong - their are change-tracking-
informations missing) and the inserted text is "worm".

thx.
CU Roman

Comment 3 guido.pinkernell 2003-11-03 21:25:30 UTC
.
Comment 4 h.ilter 2003-11-04 10:37:47 UTC
Reassigned to ES
Comment 5 eric.savary 2004-10-24 00:56:13 UTC
Please add both source and target documents indicating what you cut/paste where to.
Comment 6 eric.savary 2004-11-30 16:28:13 UTC
no answer
Comment 7 eric.savary 2004-11-30 16:28:23 UTC
closed
Comment 8 eric.savary 2004-11-30 16:29:09 UTC
.
Comment 9 eric.savary 2004-12-01 23:41:15 UTC
closed